let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const createThreadApi = async (
  projectId: any,
  state: string,
  position: any,
  rotation: any,
  threadTitle: any,
  versionId?: string
) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/V1/upsetThread`, {
      method: "POST",
      headers: {
        Authorization: "Bearer <access_token>",
        "Content-Type": "application/json",
        token: localStorage.getItem("token") || "",
        refresh_token: localStorage.getItem("refreshToken") || "",
      },
      body: JSON.stringify({
        projectId,
        state,
        position,
        rotation,
        threadTitle,
        versionId,
      }),
    });
    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }
    if (!response.ok) {
      console.error("Failed to add project");
    }
    const result = await response.json();
    console.log("result: ", result);
    return result;
  } catch (error) {
    if (error instanceof Error) {
      console.error(error.message);
    } else {
      console.error("An unknown error occurred");
    }
  }
};
